#!/bin/bash

#Database connection parameters
export NZ_HOST="192.168.218.19"
export NZ_DATABASE="NEWTPCDS"
export NZ_USER="admin"
export NZ_PASSWORD="password"

# Netezza admin Script folder
NZ_ADMIN_SCRIPTS="/nz/support/bin"

# Output DIRECTORY
OUTPUT_DIR="/export/home/nz/ddlExtractor/ddls"

# A comma-separated list of databases from which DDLs should be extracted.
DATABASE_LIST="NEWTPCDS,SYSTEM_BKP,AATESTQLV1,AATESTQLV2"


IFS=',' read -r -a databases <<< "$DATABASE_LIST"

if [ -z "$DATABASE_LIST" ]; then
    sh $NZ_ADMIN_SCRIPTS/nz_ddl > $OUTPUT_DIR/"all_ddl_output.sql"
elif [ ${#databases[@]} -eq 1 ]; then
    DATABASE=${databases[0]}
    sh $NZ_ADMIN_SCRIPTS/nz_ddl $DATABASE > $OUTPUT_DIR/"${DATABASE}_ddl_output.sql"
else
    for DATABASE in "${databases[@]}"; do
        sh $NZ_ADMIN_SCRIPTS/nz_ddl $DATABASE > $OUTPUT_DIR/"${DATABASE}_ddl_output.sql"
    done
fi

